"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorAction = exports.responseAction = exports.changeAttributesAction = exports.changePasswordAction = exports.forgotNewPasswordSubmitAction = exports.forgotPasswordAction = exports.signOutAction = exports.signInAction = exports.resendConfirmationCodeAction = exports.confirmSignUpAction = exports.signUpAction = void 0;
const types_1 = require("./types");
function signUpAction({ email, password, firstName, lastName }) {
    return { type: types_1.AUTH_ACTIONS.SIGN_UP, email, password, firstName, lastName };
}
exports.signUpAction = signUpAction;
// TODO = refactor all to take in objs maybe  == 11/16/20
function confirmSignUpAction(confirmationCode) {
    return { type: types_1.AUTH_ACTIONS.CONFIRM_SIGN_UP, confirmationCode };
}
exports.confirmSignUpAction = confirmSignUpAction;
function resendConfirmationCodeAction(email) {
    return { type: types_1.AUTH_ACTIONS.RESEND_CONFIRMATION_CODE, email };
}
exports.resendConfirmationCodeAction = resendConfirmationCodeAction;
function signInAction(email, password) {
    return { type: types_1.AUTH_ACTIONS.SIGN_IN, email, password };
}
exports.signInAction = signInAction;
function signOutAction() {
    return { type: types_1.AUTH_ACTIONS.SIGN_OUT };
}
exports.signOutAction = signOutAction;
function forgotPasswordAction(email) {
    return { type: types_1.AUTH_ACTIONS.FORGOT_PASSWORD, email };
}
exports.forgotPasswordAction = forgotPasswordAction;
function forgotNewPasswordSubmitAction(code, newPassword) {
    return { type: types_1.AUTH_ACTIONS.FORGOT_PASSWORD_SUBMIT, code, newPassword };
}
exports.forgotNewPasswordSubmitAction = forgotNewPasswordSubmitAction;
function changePasswordAction(oldPassword, newPassword) {
    return { type: types_1.AUTH_ACTIONS.CHANGE_PASSWORD, oldPassword, newPassword };
}
exports.changePasswordAction = changePasswordAction;
function changeAttributesAction(name, email) {
    return { type: types_1.AUTH_ACTIONS.CHANGE_ATTRIBUTES, name, email };
}
exports.changeAttributesAction = changeAttributesAction;
function responseAction(type, response) {
    return { type, response };
}
exports.responseAction = responseAction;
function errorAction(type, error) {
    return { type, error };
}
exports.errorAction = errorAction;
