import { AUTH_ACTIONS } from './types'

export function signUpAction(
    { email, password, firstName, lastName}: {email: string, password: string, firstName: string, lastName: string}) {
        return { type: AUTH_ACTIONS.SIGN_UP, email, password, firstName, lastName }
}

// TODO = refactor all to take in objs maybe  == 11/16/20

export function confirmSignUpAction(confirmationCode: string) {
    return { type: AUTH_ACTIONS.CONFIRM_SIGN_UP, confirmationCode }
}

export function resendConfirmationCodeAction(email: string) {
    return { type: AUTH_ACTIONS.RESEND_CONFIRMATION_CODE, email }

}

export function signInAction(email: string, password: string) {
    return { type: AUTH_ACTIONS.SIGN_IN, email, password }

}

export function signOutAction() {
    return { type: AUTH_ACTIONS.SIGN_OUT}
}

export function forgotPasswordAction(email: string) {
    return { type: AUTH_ACTIONS.FORGOT_PASSWORD, email}
}

export function forgotNewPasswordSubmitAction(code: string, newPassword: string) {
    return { type: AUTH_ACTIONS.FORGOT_PASSWORD_SUBMIT, code, newPassword}
}

export function changePasswordAction(oldPassword: string, newPassword: string) {
    return { type: AUTH_ACTIONS.CHANGE_PASSWORD, oldPassword, newPassword}
}

export function changeAttributesAction(name: string, email: string) {
    return { type: AUTH_ACTIONS.CHANGE_ATTRIBUTES, name, email}
}

export function responseAction(type: string, response: any) {
    return { type, response }

}

export function errorAction(type: string, error: any) {
    return { type, error }

}