import { ofType } from 'redux-observable'
import { switchMap } from 'rxjs/operators'
import { Observable } from 'rxjs/Observable'
import 'rxjs/add/observable/from'
import 'rxjs/add/observable/of'
import 'rxjs/add/operator/mergeMap'
import 'rxjs/add/operator/catch'
import { AUTH_ACTIONS } from '../../../actions/types'
import AuthService from '../../../AuthService'

const signUpSuccessfulSignIn = (action$, state$) =>
    action$.pipe(
        ofType(AUTH_ACTIONS.SIGN_UP_SUCCESSFUL),
        switchMap(() =>
            AuthService.signUpSuccessfulSignIn(
                state$.value.authReducer.email.split('@')[0],
                state$.value.authReducer.password,
            ).catch(error => Observable.of(
                { type: AUTH_ACTIONS.SIGN_IN_FAILED, error: error }
            ))
        )
    )

export default signUpSuccessfulSignIn